# Create configuration in the folder of the script (or images) regardless of the current location
# of the promt. Because the promt is unknown.
# scriptDir=$(dirname $(readlink -f "${BASH_SOURCE:-$0}"))

# get only protocol and host
echo "machine $(echo $UBUNTU_MIRROR | sed -r 's#([^/])/[^/].*#\1#') login ${UBUNTU_MIRROR_USER} password ${UBUNTU_MIRROR_PASSWORD}" > ./apt_auth.conf

base_url=$(echo $UBUNTU_MIRROR | sed 's#-jammy-main/ubuntu##') && \
for repo in {{ distro_codename }}-main {{ distro_codename }}-security {{ distro_codename }}-updates; do \
    echo "deb $base_url-$repo ${repo%-main} main universe" >> ./apt_list.conf; \
done
